---
title: Applications
desc: >
  Instructions on applying
  for the MAST program.
---

import { DiagnosticLink } from "@/components/FileLinks";

**The application deadline is over and all applications from now are considered late.** However, if you qualified for AIME and want to apply to the program, I strongly encourage you to do so.

This is the fourth season
of the MAST program.
You can find instructions,
deadlines, and diagnostic
problems for the current batch
of applications,
as well as past problems.

## Instructions

This year's application
problems can be found <DiagnosticLink season={4} text="here"/>.

To apply, follow these steps:

- Sign up for an account
  on the website.
- Access the application portal
  through your [home page](home).
  Fill out each of the questions
  and upload your solutions to
  the diagnostic problems there.

## Deadlines

There is no deadline for late apps, besides whenever Season 5 starts.

The application originally opened at November 11th.
It closed at January 15th, at 11:59 PM Pacific time.

## Philosophy

**Applications are not
inherently competitive.**[^competitive]
Rather, the application is more like
a rite of passage:
if you can get through it,
you're probably ready for the program.

[^competitive]:
    I try to evaluate each applicant
    on their own merit rather than
    comparatively,
    but there is a huge limiting
    factor: time.

    MAST is and always has been
    very affordable.
    The program has been free
    for the first four seasons,
    and it has gained
    a lot of popularity
    in the past few years.
    It is possible that I may not
    be able to take every student
    that is ready for the program.

    Therefore, please don't take
    the results of the applications
    personally.

You will notice that
there is some degree of overlap
between the earlier diagnostics.
You will also notice that many
of the problems can be found online.
While this is not ideal,
it is good enough, because the point
of the application is not
to serve as a skill distinguisher.
